<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Temp</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>

</head>

<body>

<header class="background_gray" th:replace="header :: header"></header>

<div class="card">

    <div class="card-header m-0">

        <div class="m-0" th:text="${entry.getUser().getName()}" id="writer"></div>

        <div class="row">
            <div th:if="${currentUser != null}">
                <a class="btn btn-success" th:if="${currentUser.isAdministrator()}"
                   th:href="@{/editEntry(entryToEditId=${entry.id})}" data-toggle="tooltip" data-placement="top"
                   title="Beitrag bearbeiten">
                    <i class="material-icons">
                        create
                    </i></a>
            </div>
            <div th:if="${currentUser != null}">
                <form th:if="${currentUser.isAdministrator()}" th:action="@{/deleteEntry(entryId= ${entry.id})}"
                      method="post">
                    <button class="btn btn-success" th:if="${currentUser.isAdministrator()}" type="submit"
                            data-toggle="tooltip" data-placement="top" title="Beitrag löschen">
                        <i class="material-icons">
                            delete
                        </i>
                    </button>
                </form>
            </div>
        </div>

        <div class="m-0" th:text="${#dates.format(entry.getCreationDate(), 'dd. MMMM yyyy HH:mm')}"></div>

    </div>

    <div class="card-body">

        <div class="container">
            <div class="row ">

                <div class="col-12">
                    <div>
                        <img class="img-fluid embed-responsive" th:src="@{'data:image/jpeg;base64,'+${pic}}"/>
                        <h5 class="card-title"><a th:href="@{/entryView(entryId= ${entry.id})}" th:text="${entry.getLatestTitle()}"></a></h5>
                        <p th:text="${entry.getLatestText()}"></p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card-footer text-muted m-0" th:if="${entry.getUser().getName() != entry.getLatestChanger().getName() ||
        #dates.format(entry.getCreationDate(), 'dd-MMM-yyyy hh-mm-ss') != #dates.format(entry.getLatestChangeDate(),
        'dd-MMM-yyyy hh-mm-ss')}">

        <span class="m-0">zuletzt geändert: </span>

        <div class="m-0" th:if="${entry.getUser().getName() != entry.getLatestChanger().getName()}"
             th:text="${entry.getLatestChanger().getName()}"></div>

        <div class="m-0"
             th:if="${#dates.format(entry.getCreationDate(), 'dd-MMM-yyyy hh-mm-ss') != #dates.format(entry.getLatestChangeDate(), 'dd-MMM-yyyy hh-mm-ss')}"
             th:text="${#dates.format(entry.getLatestChangeDate(), 'dd. MMMM yyyy HH:mm')}"></div>
    </div>
</div>


<a id="history" th:href="@{/showEntryHistory(entryId= ${entry.id})}">zur Historie</a>

<div class="comment" th:each="comment: ${comments}">
    <hr>

    <div>
        <b>
            <span th:text="${comment.getUser().getName()}"></span>
        </b>
        <i>
            <span th:text="${#dates.format(comment.getCreationDate(), 'dd. MMMM yyyy HH:mm')}"></span>
        </i>
        <span class="d-inline-block">
    <form th:if="${currentUser != null}" th:action="@{/deleteComment(commentId= ${comment.id},entryId=${entry.id})}"
          method="POST">
        <button class="btn btn-success" th:if="${currentUser== comment.getUser() or currentUser.isAdministrator()}"
                type="submit" data-toggle="tooltip" data-placement="top" title="Kommentar löschen">
            <i class="material-icons">
                delete
            </i>
        </button>
    </form>
        </span>
    </div>


    <br>

    <div th:text="${comment.text}"></div>


</div>

<div id="comment-input">
    <hr>
    <form th:if="${currentUser != null}" th:action="@{/addComment(entryId= ${entry.id})}" th:object="${comment}"
          method="POST">

        <div>
            <input th:class="col-10" th:field="*{text}" type="text" class="form-control" id="comment"
                   placeholder="schreibe einen Kommentar">
            <button class="btn btn-success col-1" type="submit" data-toggle="tooltip" data-placement="top"
                    title="Kommentar abschicken">
                <i class="material-icons">
                    send
                </i>
            </button>
        </div>

        <div th:if="${#fields.hasErrors('text')}" th:errors="*{text}"></div>

    </form>

    <p th:if="${currentUser == null}">Lege einen Account an um Kommentare zu verfassen!</p>

</div>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>


</body>
</html>